package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户消息对象 tb_member_message
 * 
 * @author ruoyi
 * @date 2023-10-18
 */
public class MemberMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 消息编号 */
    private Long messageId;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private Long userId;

    /** 帖子编号 */
    @Excel(name = "帖子编号")
    private Long articleId;

    private String articleImg;

    /** 消息类型 0点赞 1评论 */
    @Excel(name = "消息类型 1点赞 2评论 3取消点赞 4删除评论")
    private String messageType;

    /** 阅读状态(0未读 1已读） */
    @Excel(name = "阅读状态(0未读 1已读）")
    private String readStatus;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 版本号 */
    @Excel(name = "版本号")
    private Integer version;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    public void setMessageId(Long messageId) 
    {
        this.messageId = messageId;
    }

    public Long getMessageId() 
    {
        return messageId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setArticleId(Long articleId)
    {
        this.articleId = articleId;
    }

    public Long getArticleId()
    {
        return articleId;
    }
    public void setMessageType(String messageType) 
    {
        this.messageType = messageType;
    }

    public String getMessageType() 
    {
        return messageType;
    }



    public void setReadStatus(String readStatus) 
    {
        this.readStatus = readStatus;
    }

    public String getReadStatus() 
    {
        return readStatus;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setVersion(Integer version) 
    {
        this.version = version;
    }

    public Integer getVersion() 
    {
        return version;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getArticleImg() {
        return articleImg;
    }

    public void setArticleImg(String articleImg) {
        this.articleImg = articleImg;
    }

    @Override
    public String toString() {
        return "MemberMessage{" +
                "messageId=" + messageId +
                ", userId=" + userId +
                ", articleId=" + articleId +
                ", articleImg='" + articleImg + '\'' +
                ", messageType='" + messageType + '\'' +
                ", readStatus='" + readStatus + '\'' +
                ", content='" + content + '\'' +
                ", version=" + version +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
